org.eclipse.jetty.servlet

## Class ServletContextHandler.TagLib

- java.lang.Object
- - org.eclipse.jetty.servlet.ServletContextHandler.TagLib

All Implemented Interfaces:
  javax.servlet.descriptor.TaglibDescriptor

Enclosing class:
  ServletContextHandler

    public static class ServletContextHandler.TagLib
    extends Object
    implements javax.servlet.descriptor.TaglibDescriptor

### Constructor Summary

Constructors
Constructor and Description
`ServletContextHandler.TagLib()`

### Method Summary

Methods
`String` `getTaglibLocation()`
`String` `getTaglibURI()`
`void` `setTaglibLocation(String location)`
`void` `setTaglibURI(String uri)`
`String` `toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### ServletContextHandler.TagLib

    public ServletContextHandler.TagLib()

### Method Detail

#### getTaglibURI

    public String getTaglibURI()

Specified by:
  `getTaglibURI` in interface `javax.servlet.descriptor.TaglibDescriptor`
See Also:
  `TaglibDescriptor.getTaglibURI()`

#### setTaglibURI

    public void setTaglibURI(String uri)

#### getTaglibLocation

    public String getTaglibLocation()

Specified by:
  `getTaglibLocation` in interface `javax.servlet.descriptor.TaglibDescriptor`
See Also:
  `TaglibDescriptor.getTaglibLocation()`

#### setTaglibLocation

    public void setTaglibLocation(String location)

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`